Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-dingus
%global pypi_name dingus

Name:           python-module-dingus
Version:        0.3.4
Release:        alt1_3
Summary:        A record-then-assert mocking library

License:        MIT
URL:            https://github.com/garybernhardt/dingus
Source0:        http://pypi.python.org/packages/source/d/dingus/dingus-0.3.4.tar.gz
# to get tests:
# git clone https://github.com/garybernhardt/dingus.git && cd dingus
# git checkout 0.3.4
# tar -czf dingus-tests-0.3.4.tgz tests/
Source1:        dingus-tests-%{version}.tgz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-nose
Source44: import.info

%description
A dingus is sort of like a mock object. The main difference is that you don't
set up expectations ahead of time. You just run your code, using a dingus in
place of another object or class, and it will record what happens to it.
Then, once your code has been exercised, you can make assertions about
what it did to the dingus.

%prep
%setup -q -n %{pypi_name}-%{version}
# remove bundled egg-info
rm -rf dingus.egg-info

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-data %{_docdir}/%{pypi_name}

%check
tar -xzf %{SOURCE1}
nosetests -m '((?:^|[b_.-])(:?[Tt]est|When|should))'


%files
%doc %{_docdir}/%{pypi_name}/
%{python_sitelibdir_noarch}/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_2
- initial fc import

